<bugID>1147413<Summary>[e10s] browser_markupview_node_not_displayed_02.js causes unsafe CPOW usage warnings</Summary><Description>Mined from test logs

In devtools/markupview/test/browser_markupview_node_not_displayed_02.js:


https://hg.mozilla.org/projects/holly/file/50e197279ad5/browser/devtools/markupview/test/browser_markupview_node_not_displayed_02.js#l17
https://hg.mozilla.org/projects/holly/file/50e197279ad5/browser/devtools/markupview/test/browser_markupview_node_not_displayed_02.js#l18
https://hg.mozilla.org/projects/holly/file/50e197279ad5/browser/devtools/markupview/test/browser_markupview_node_not_displayed_02.js#l19
https://hg.mozilla.org/projects/holly/file/50e197279ad5/browser/devtools/markupview/test/browser_markupview_node_not_displayed_02.js#l20

  {
    desc: "Hiding a node by creating a new stylesheet",
    selector: "#normal-div",
    before: true,
    changeStyle: (doc, node) =&gt; {
      let div = doc.createElement("div"); &lt;-- causes unsafe CPOW usage warning
      div.id = "new-style"; &lt;-- causes unsafe CPOW usage warning
      div.innerHTML = "&lt;style&gt;#normal-div {display:none;}&lt;/style&gt;"; &lt;-- causes unsafe CPOW usage warning
      doc.body.appendChild(div); &lt;-- causes unsafe CPOW usage warning
    },
    after: false
  },

...

https://hg.mozilla.org/projects/holly/file/50e197279ad5/browser/devtools/markupview/test/browser_markupview_node_not_displayed_02.js#l29

  {
    desc: "Showing a node by deleting an existing stylesheet",
    selector: "#normal-div",
    before: false,
    changeStyle: (doc, node) =&gt; {
      doc.getElementById("new-style").remove(); &lt;-- causes unsafe CPOW usage warning
    },
    after: true
  },

...

https://hg.mozilla.org/projects/holly/file/50e197279ad5/browser/devtools/markupview/test/browser_markupview_node_not_displayed_02.js#l38

  {
    desc: "Hiding a node by changing its style property",
    selector: "#display-none",
    before: false,
    changeStyle: (doc, node) =&gt; {
      node.style.display = "block"; &lt;-- causes unsafe CPOW usage warning
    },
    after: true
  },

...

https://hg.mozilla.org/projects/holly/file/50e197279ad5/browser/devtools/markupview/test/browser_markupview_node_not_displayed_02.js#l47

  {
    desc: "Showing a node by removing its hidden attribute",
    selector: "#hidden-true",
    before: false,
    changeStyle: (doc, node) =&gt; {
      node.removeAttribute("hidden"); &lt;-- causes unsafe CPOW usage warning
    },
    after: true
  },

...

https://hg.mozilla.org/projects/holly/file/50e197279ad5/browser/devtools/markupview/test/browser_markupview_node_not_displayed_02.js#l56

  {
    desc: "Hiding a node by adding a hidden attribute",
    selector: "#hidden-true",
    before: true,
    changeStyle: (doc, node) =&gt; {
      node.setAttribute("hidden", "true"); &lt;-- causes unsafe CPOW usage warning
    },
    after: false
  },

...

https://hg.mozilla.org/projects/holly/file/50e197279ad5/browser/devtools/markupview/test/browser_markupview_node_not_displayed_02.js#l65

  {
    desc: "Showing a node by changin a stylesheet's rule",
    selector: "#hidden-via-stylesheet",
    before: false,
    changeStyle: (doc, node) =&gt; {
      doc.styleSheets[0].cssRules[0].style.setProperty("display", "inline"); &lt;-- causes unsafe CPOW usage warning
    },
    after: true
  },

...

https://hg.mozilla.org/projects/holly/file/50e197279ad5/browser/devtools/markupview/test/browser_markupview_node_not_displayed_02.js#l74

  {
    desc: "Hiding a node by adding a new rule to a stylesheet",
    selector: "#hidden-via-stylesheet",
    before: true,
    changeStyle: (doc, node) =&gt; {
      doc.styleSheets[0].insertRule(
        "#hidden-via-stylesheet {display: none;}", 1); &lt;-- causes unsafe CPOW usage warning
    },
    after: false
  },

...

https://hg.mozilla.org/projects/holly/file/50e197279ad5/browser/devtools/markupview/test/browser_markupview_node_not_displayed_02.js#l84
https://hg.mozilla.org/projects/holly/file/50e197279ad5/browser/devtools/markupview/test/browser_markupview_node_not_displayed_02.js#l86

  {
    desc: "Hiding a node by adding a class that matches an existing rule",
    selector: "#normal-div",
    before: true,
    changeStyle: (doc, node) =&gt; {
      doc.styleSheets[0].insertRule(
        ".a-new-class {display: none;}", 2); &lt;-- causes unsafe CPOW usage warning
      node.classList.add("a-new-class"); &lt;-- causes unsafe CPOW usage warning
    },
    after: false
  }

...

https://hg.mozilla.org/projects/holly/file/50e197279ad5/browser/devtools/markupview/test/browser_markupview_node_not_displayed_02.js#l113

  info("Listening for the display-change event");
  let onDisplayChanged = promise.defer();
  inspector.markup.walker.once("display-change", onDisplayChanged.resolve);

  info("Making style changes");
  changeStyle(content.document, getNode(selector)); &lt;-- causes unsafe CPOW usage warning
  let nodes = yield onDisplayChanged.promise;

  info("Verifying that the list of changed nodes include our container");

  ok(nodes.length, "The display-change event was received with a nodes");</Description></bugID>